/* ---------------------------------------------------------------------------
          Copyright (c) 2004-2005 Micrel, Inc.  All rights reserved.
   ---------------------------------------------------------------------------

   ks_ver.h - OpenTCP Ethernet Driver Version file

   ---------------------------------------------------------------------------
    Author  Date      Version  Description
    PCD     06/28/06  1.0.4    (1) Enable Switch Ports broacast storm protection at 10% percent rate.
    THa     06/29/06           (2) Add 1912 bytes large frame support.
    THa     06/07/06           (3) Hardware interrupts may not be disabled
                                   immediately after the register is written to.
    THa     06/02/06           (4) Define HardwareDisableInterruptSync.
    THa     06/02/06           (5) Add NO_STATS conditional.
    THa     04/06/06           (6) Implement AT93C46 EEPROM access functions.
    PCD     03/07/06  1.0.0    Set QMU Rx Flow Control High Water Mark to 2KB as default for A4 device.
    THa     02/28/06  1.0.0    Do not use HW_WRITE_BYTE because of limitation of
                                some hardware platforms.
    THa     02/23/06  1.0.0    Removed KS884X_HW conditional.
    THa     01/25/06  1.0.0    Add HardwareWriteIntMask and HardwareWriteIntStat
                                functions for 32-bit I/O access only.
    PCD     01/20/06  0.2.1    (1) Enable (a) Aggressive back off algorithm, 
                                          (b) No excessive collision drop.
                                          (c) Flow control. 
										  (d) Back pressure  
                               (2) Set Switch MAC address same as QMU MAC address.
    PCD     09/08/05  0.2.0    Configure TA3 Timer Event mode, interrupt when KS8841 PMEN is low.
                               Verify with KS8841/2 A3.
    PCD     07/22/05  0.1.12   Change ks884x ISR to hangle INT_RX method to avoid miss INT_RX interrupt
                               during processing incoming packets. 
    PCD     03/30/05  0.1.3    Added read chip Id, and device revision, and reset device.
    PCD     03/30/05  0.1.1    Added updating Rx\Tx interrupt counters.
    PCD     03/30/05  0.1.0    First release. 
                               (1). CLI read\write device registers works. 
                               (2). Driver Initialization device works .
                               (3). Driver Interrupt Server Routine works.
                               (4). Driver transmit packets to device port works.
                               (5). Driver receive packsts from device works.
    PCD     09/30/04  0.0.1    Created file.
   ---------------------------------------------------------------------------
*/

const char OpenTCP_EthDriver_ver[] = "1.0.4   ";
